idf_component_register(
    SRCS "display_ui.cpp"
         "intro_fx3d.cpp"
         "buttons_input.c"
         "fonts/lv_font_orbitron_40.c"
         "fonts/lv_font_ibmplexmono_18.c"
    INCLUDE_DIRS "include"
    PRIV_REQUIRES driver local_puzzles esp_timer esp_adc
)

# LovyanGFX requires C++17.
target_compile_options(${COMPONENT_LIB} PRIVATE -std=gnu++17)
